"use strict";

exports.__esModule = true;
exports.default = void 0;

var _material = require("@mui/material");

var _iconsMaterial = require("@mui/icons-material");

var _Page = _interopRequireDefault(require("../../containers/Page"));

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageNotFound = function PageNotFound() {
  var intl = (0, _reactIntl.useIntl)();
  return /*#__PURE__*/_react.default.createElement(_Page.default, {
    pageTitle: intl.formatMessage({
      id: 'page_not_found'
    }) + ' MUI'
  }, /*#__PURE__*/_react.default.createElement(_material.Paper, {
    sx: {
      backgroundColor: function backgroundColor(t) {
        return t.palette.background.default;
      },
      margin: 0,
      height: "calc(100vh - 64px)"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      height: "100%"
    }
  }, /*#__PURE__*/_react.default.createElement(_material.Typography, {
    variant: "h4"
  }, "404"), /*#__PURE__*/_react.default.createElement(_material.Typography, {
    variant: "subtitle1"
  }, intl.formatMessage({
    id: 'page_not_found'
  }) + ' MUI'), /*#__PURE__*/_react.default.createElement(_material.Button, {
    color: "secondary",
    "aria-label": "home",
    href: "/",
    style: {
      marginTop: 20
    }
  }, /*#__PURE__*/_react.default.createElement(_iconsMaterial.Home, null)))));
};

var _default = PageNotFound;
exports.default = _default;
module.exports = exports.default;